javax.jdo.annotations

## Annotation Type Column

-     @Target(value={FIELD,METHOD,TYPE})
       @Retention(value=RUNTIME)
       @Repeatable(value=Columns.class)
      public @interface Column

  Annotation for a column in the database. Corresponds to the xml element "column".
  Since:
    2.1
  Version:
    3.2

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `String` | `allowsNull` Whether the column allows null values to be inserted.
    `String` | `defaultValue` Default value for this column.
    `Extension[]` | `extensions` Vendor extensions.
    `String` | `insertValue` Value to be inserted when this is an "unmapped" column
    `String` | `jdbcType` JDBC Type for this column.
    `int` | `length` Maximum length of data stored in this column.
    `String` | `name` Name of the column.
    `int` | `position` Position of this column in the table for this class (0=first, -1=unset).
    `int` | `scale` Scale for the column when handling floating point values.
    `String` | `sqlType` SQL Type for this column.
    `String` | `target` Target column for this column in the other table when part of a foreign key relation.
    `String` | `targetMember` Target member in the other class or interface for this column when part of a bidirectional relation.

- - ### Element Detail

    - #### name

          public abstract String name

      Name of the column.
      Returns:
        the name of the column
      Default:
        ""

  - - #### target

          public abstract String target

      Target column for this column in the other table when part of a foreign key relation.
      Returns:
        the target column in the other table for this column when part of a foreign key relation.
      Default:
        ""

  - - #### targetMember

          public abstract String targetMember

      Target member in the other class or interface for this column when part of a bidirectional relation.
      Returns:
        the target member for this column when part of a bidirectional relation.
      Default:
        ""

  - - #### jdbcType

          public abstract String jdbcType

      JDBC Type for this column.
      Returns:
        JDBC type for this column
      Default:
        ""

  - - #### sqlType

          public abstract String sqlType

      SQL Type for this column.
      Returns:
        SQL type for this column
      Default:
        ""

  - - #### length

          public abstract int length

      Maximum length of data stored in this column.
      Returns:
        the maximum length of data stored in this column
      Default:
        -1

  - - #### scale

          public abstract int scale

      Scale for the column when handling floating point values.
      Returns:
        the scale for the column when handling floating point values
      Default:
        -1

  - - #### allowsNull

          public abstract String allowsNull

      Whether the column allows null values to be inserted.
      Returns:
        whether the column allows null values to be inserted
      Default:
        ""

  - - #### defaultValue

          public abstract String defaultValue

      Default value for this column.
      Returns:
        the default value for this column
      Default:
        ""

  - - #### insertValue

          public abstract String insertValue

      Value to be inserted when this is an "unmapped" column
      Returns:
        the value to be inserted when this is an "unmapped" column
      Default:
        ""

  - - #### extensions

          public abstract Extension[] extensions

      Vendor extensions.
      Returns:
        the vendor extensions
      Default:
        {}

  - - #### position

          public abstract int position

      Position of this column in the table for this class (0=first, -1=unset).
      Returns:
        (relative) position of this column
      Since:
        3.1
      Default:
        -1

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.